﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfC1DatepickerValidation
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public DateTime TestDate
        {
            get { return (DateTime)GetValue(TestDateProperty); }
            set { SetValue(TestDateProperty, value); }
        }

        // Using a DependencyProperty as the backing store for TestDate.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty TestDateProperty =
            DependencyProperty.Register("TestDate", typeof(DateTime), typeof(MainWindow), new PropertyMetadata(DateTime.Now.Date));



        public MainWindow()
        {
            InitializeComponent();
        }
    }
}
